// Code generated by protoc-gen-go. DO NOT EDIT.
// source: rsphonebook/client/clientmodel/record.proto

/*
Package clientmodel is a generated protocol buffer package.

It is generated from these files:
	rsphonebook/client/clientmodel/record.proto

It has these top-level messages:
	Record
*/
package clientmodel

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type Record struct {
	Phone  string         `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
	Name   string         `protobuf:"bytes,2,opt,name=name" json:"name,omitempty"`
	Adress *Record_Adress `protobuf:"bytes,3,opt,name=adress" json:"adress,omitempty"`
}

func (m *Record) Reset()                    { *m = Record{} }
func (m *Record) String() string            { return proto.CompactTextString(m) }
func (*Record) ProtoMessage()               {}
func (*Record) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *Record) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *Record) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Record) GetAdress() *Record_Adress {
	if m != nil {
		return m.Adress
	}
	return nil
}

type Record_Adress struct {
	Sity       string `protobuf:"bytes,1,opt,name=sity" json:"sity,omitempty"`
	Street     string `protobuf:"bytes,2,opt,name=street" json:"street,omitempty"`
	Building   string `protobuf:"bytes,3,opt,name=building" json:"building,omitempty"`
	Appartment string `protobuf:"bytes,4,opt,name=appartment" json:"appartment,omitempty"`
}

func (m *Record_Adress) Reset()                    { *m = Record_Adress{} }
func (m *Record_Adress) String() string            { return proto.CompactTextString(m) }
func (*Record_Adress) ProtoMessage()               {}
func (*Record_Adress) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0, 0} }

func (m *Record_Adress) GetSity() string {
	if m != nil {
		return m.Sity
	}
	return ""
}

func (m *Record_Adress) GetStreet() string {
	if m != nil {
		return m.Street
	}
	return ""
}

func (m *Record_Adress) GetBuilding() string {
	if m != nil {
		return m.Building
	}
	return ""
}

func (m *Record_Adress) GetAppartment() string {
	if m != nil {
		return m.Appartment
	}
	return ""
}

func init() {
	proto.RegisterType((*Record)(nil), "clientmodel.Record")
	proto.RegisterType((*Record_Adress)(nil), "clientmodel.Record.Adress")
}

func init() { proto.RegisterFile("rsphonebook/client/clientmodel/record.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 200 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x4c, 0x8f, 0x4f, 0x4a, 0xc5, 0x30,
	0x10, 0xc6, 0x89, 0x3e, 0x83, 0x6f, 0xba, 0x1b, 0x44, 0x42, 0x17, 0x52, 0x5c, 0x15, 0x84, 0x14,
	0xea, 0x09, 0xbc, 0x42, 0x6e, 0x90, 0x36, 0x83, 0x06, 0xdb, 0x24, 0x24, 0x71, 0xe1, 0x4d, 0x3d,
	0x8e, 0x38, 0x0d, 0xd2, 0x55, 0xe6, 0xfb, 0xc3, 0xef, 0x23, 0xf0, 0x92, 0x4b, 0xfa, 0x88, 0x81,
	0x96, 0x18, 0x3f, 0xa7, 0x75, 0xf3, 0x14, 0x6a, 0x7b, 0xf6, 0xe8, 0x68, 0x9b, 0x32, 0xad, 0x31,
	0x3b, 0x9d, 0x72, 0xac, 0x11, 0xbb, 0x53, 0xf2, 0xfc, 0x23, 0x40, 0x1a, 0x4e, 0xf1, 0x01, 0xee,
	0x18, 0xa2, 0xc4, 0x20, 0xc6, 0xab, 0x39, 0x04, 0x22, 0x5c, 0x82, 0xdd, 0x49, 0xdd, 0xb0, 0xc9,
	0x37, 0xce, 0x20, 0xad, 0xcb, 0x54, 0x8a, 0xba, 0x1d, 0xc4, 0xd8, 0xcd, 0xbd, 0x3e, 0x21, 0xf5,
	0x81, 0xd3, 0x6f, 0xdc, 0x30, 0xad, 0xd9, 0x27, 0x90, 0x87, 0xf3, 0x47, 0x2c, 0xbe, 0x7e, 0xb7,
	0x19, 0xbe, 0xf1, 0x11, 0x64, 0xa9, 0x99, 0xa8, 0xb6, 0x9d, 0xa6, 0xb0, 0x87, 0xfb, 0xe5, 0xcb,
	0x6f, 0xce, 0x87, 0x77, 0xde, 0xba, 0x9a, 0x7f, 0x8d, 0x4f, 0x00, 0x36, 0x25, 0x9b, 0xeb, 0x4e,
	0xa1, 0xaa, 0x0b, 0xa7, 0x27, 0x67, 0x91, 0xfc, 0xdd, 0xd7, 0xdf, 0x00, 0x00, 0x00, 0xff, 0xff,
	0x9d, 0x76, 0x58, 0xad, 0x1d, 0x01, 0x00, 0x00,
}
